// src/utils/interceptors/request/auth.js
import auth from '@/utils/auth'

export function attachAccessToken(config) {
  const token = auth.getAccessToken()
  if (token) {
    config.headers['Authorization'] = `Bearer ${token}`
  }
  return config
}

export function authRequestError(err) {
  return Promise.reject(err)
}
